* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  width: 100vw;
  overflow-x: hidden;
}

body {
  background-color: #c3996b;
  background-position: center;
  object-fit: cover;
  color: #ffffff;
  display: flex;
  flex-direction: column;
  align-items: center;
  font-family: "Outfit", sans-serif;
  padding-top: 4rem;
  padding-bottom: 2rem;
  gap: 1rem;
}

.bg-text-animation {
  position: absolute;
  text-align: center;
  top: 15rem;
  font-size: 5rem;
  text-transform: uppercase;
  font-weight: 900;
  -webkit-text-stroke: 2px #000000;
  -webkit-text-fill-color: transparent;
  font-family: "Segoe UI", Tahoma, Geneva, Verdana, sans-serif;
  z-index: -1;
  user-select: none;
  text-shadow: 1px 1px 2px #603813;
  opacity: 20%;
}

.my-photo {
  width: 10rem;
  border-radius: 50%;
  aspect-ratio: 1/1;
  object-fit: cover;
  object-position: top;
  border: solid #603813;
}

a {
  text-decoration: none;
  color: inherit;
}

.sosmed i {
  font-size: 1.5rem;
  color: #ffffff;
}

.sosmed i:hover {
  color: #603813;
}

.sosmed a:not(:last-child) {
  margin-right: 1rem;
}

ul {
  width: 80%;
  max-width: 40rem;
}

ul li {
  list-style: none;
}

ul.link-list li:not(:last-child) {
  margin-bottom: 1rem;
}

.link-list {
  margin-top: 1rem;
}

.link-card {
  background-color: #603813;
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 1rem;
  padding: 1rem;
  border-radius: 20px;
  box-shadow: 5px 6px 0 #3b3737;
  border: 2px solid #603813;
  text-shadow: 1px 1px 2px rgba(255, 255, 255, 0.8);
}

.link-card:hover {
  background-color: #5b5e48;
  border: 2px solid #603813;
}

.link-list .link-icon {
  background-image: linear-gradient(to top, #c3996b, #f3b973);
  padding: 0.5rem;
  border-radius: 10px;
  aspect-ratio: 1/1;
  display: flex;
  justify-content: center;
  align-items: center;
}

.link-list .link-icon i {
  color: white;
}

.link-list .link-text {
  text-align: center;
}

.link-action {
  color: #d1cfcf;
  cursor: pointer;
  padding: 5px;
  font-size: 1.2rem;
}

.link-action:hover {
  color: #ffffff;
}

.copyright {
  margin-top: 1rem;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 0.5rem;
  color: #d1cfcf;
  font-size: 0.9rem;
}
.copyright img {
  background-color: #ffffff;
  border-radius: 30%;
  width: 4rem;
}

.copyright a:hover {
  color: #ffffff;
}

#toast {
  width: max-content;
  position: fixed;
  top: 0;
}

.toast-container {
  background-color: white;
  color: #0f0f25;
  padding: 1rem;
  margin-top: 1rem;
  border-radius: 1rem;
  animation: muncul 300ms ease-in-out;
}

.toast-gone {
  animation: hilang 1s ease-in-out 1s;
}

@keyframes muncul {
  from {
    opacity: 0;
    transform: translateY(-3rem);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}

@keyframes hilang {
  from {
    opacity: 1;
  }
  to {
    opacity: 0;
  }
}
